Bug Hunting Session
Bug 58623 - EDITING: Keep ratio checkbox status not captured by undo
Summary: EDITING: Keep ratio checkbox status not captured by undo
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta2
Hardware: Other Windows (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2012-12-21 15:28 UTC by john.pratt
Modified: 2019-10-28 03:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file with a bitmap (32.95 KB, application/vnd.oasis.opendocument.presentation)
2012-12-21 15:28 UTC, john.pratt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description john.pratt 2012-12-21 15:28:59 UTC
Created attachment 71938 [details]
Example file with a bitmap

Problem description: when changing the status of the keep ratio checkbox for a bitmap this is not captured by the undo list, so it cannot be undone.  If the bitmap is then enlarged separately then 2 undo items appear.  The first one undoes the enlargement, but the second one appears to do nothing.

Steps to reproduce (part 1):
1. open attached file or create one from scratch
2. right click the bitmap -> position and size
3. uncheck 'keep ratio' and close the dialogue

Current behavior: the undo list is blank

Expected behavior: this change should be recorded in the undo list

Steps to reproduce (part 2):
A. carry out steps to reproduce part 1
B. right click the bitmap -> position and size
C. change the size and close the dialogue

Current behavior: two undo items are created; the newest undoes the size change; the oldest appears to do nothing

Expected behavior: the two undo items undo one thing each (the oldest should undo the 'keep ratio' change)
Operating System: Windows XP
Version: 4.0.0.0.beta2
Comment 1 Joel Madero 2013-01-09 17:48:20 UTC
Confirmed, notes below:
First, two of us noticed that when we open the file the checkbox is already unchecked, what we did was check the box "keep ratio", close dialog, then go to Edit - Undo (not grayed out) but we saw that the undo does nothing.


Version: Changing to 3.6.4.3 as it was verified on this version. 
@Reporter - Version refers to the oldest version we can verify the bug on

New (Confirmed)
Minor: Doesn't prevent high quality work at all
Lowest: Easy workaround (just go in and change back your changes)

We know that the undo functionality in LibO needs some work, once a developer starts tackling the multiple bugs reported against undo, this one should be handled.


Thanks for reporting!
Comment 2 A (Andy) 2015-02-08 13:29:25 UTC
Reproducible with LO 4.4.0.3, Win 8.1

If I uncheck Keep Ratio in the attached sample, then the UNDO button is enabled, but if I press it, then the Keep Ratio function is still not checked.
Comment 3 QA Administrators 2016-02-21 08:38:01 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-03-06 16:06:09 UTC Comment hidden (obsolete)
Comment 5 Thomas Lendo 2018-10-27 18:12:38 UTC
Still reproducible.

Version: 6.2.0.0.alpha1+
Build ID: 5d2ab49cbda1d7aea1019478abe0163e1f40a121
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
from today
Comment 6 QA Administrators 2019-10-28 03:30:16 UTC
Dear john.pratt,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug